> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osint.ly/llms.txt
> Use this file to discover all available pages before exploring further.

# IP Intelligence: all

> Cost: 1 core search.



## OpenAPI

````yaml /tools-reference/openapi.json post /tools/ip-intelligence/all
openapi: 3.1.0
info:
  title: Osintly Tools API
  version: 1.0.0
  description: >-
    OpenAPI specification for Osintly intelligence and gaming tools, saved
    results, and catalog endpoints.
  contact:
    name: Osintly
    url: https://docs.osint.ly/tools-reference/introduction
servers:
  - url: https://api.osint.ly
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Domain Intelligence
    description: Domain infrastructure and exposure intelligence.
  - name: Tools Catalog
    description: Discover available tools, metadata, and route costs.
  - name: Epic Games
    description: Direct Epic Games account validation and enrichment endpoints.
  - name: Vehicle History Finder
    description: >-
      Vehicle history enrichment endpoints for US VINs and French license
      plates.
  - name: Xbox
    description: Direct Xbox Live account validation and enrichment endpoints.
  - name: PlayStation Network
    description: Direct PlayStation Network account validation and enrichment endpoints.
  - name: Roblox
    description: Direct Roblox account validation and enrichment endpoints.
  - name: Steam
    description: Direct Steam account validation and enrichment endpoints.
  - name: Social Club
    description: Direct Rockstar Social Club account validation and enrichment endpoints.
  - name: Reddit
    description: >-
      Reddit profile and public archived activity validation and enrichment
      endpoints.
  - name: IP Intelligence
    description: IP ownership, routing and public exposure.
paths:
  /tools/ip-intelligence/all:
    post:
      tags:
        - IP Intelligence
      summary: 'IP Intelligence: all'
      description: 'Cost: 1 core search.'
      operationId: ipIntelligenceAll
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IpAllRequest'
      responses:
        '200':
          description: IP intelligence
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IpResponse'
        '400':
          description: Invalid input
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/PlanFeatureRequired'
        '429':
          description: Quota exceeded
        '502':
          description: Data unavailable
        '504':
          description: Data unavailable
components:
  schemas:
    IpAllRequest:
      allOf:
        - $ref: '#/components/schemas/IpRequest'
        - type: object
          properties:
            save:
              type: boolean
              default: false
            sections:
              type: array
              minItems: 1
              maxItems: 9
              items:
                type: string
                enum:
                  - geo
                  - network
                  - bgp
                  - whois
                  - rdns
                  - risk
                  - ports
                  - reputation
                  - hosted-domains
    IpResponse:
      type: object
      required:
        - tool
        - operation
        - query
        - data
        - meta
      properties:
        tool:
          type: string
          enum:
            - ip-intelligence
        operation:
          type: string
        query:
          $ref: '#/components/schemas/IpRequest'
        data:
          type: object
          additionalProperties: true
        meta:
          $ref: '#/components/schemas/ResponseMeta'
    IpRequest:
      type: object
      required:
        - ip
      properties:
        ip:
          type: string
          description: IPv4 or IPv6 address
          example: 1.1.1.1
    ResponseMeta:
      type: object
      required:
        - timestamp
      properties:
        timestamp:
          type: string
          format: date-time
        savedResult:
          $ref: '#/components/schemas/SavedToolResult'
      additionalProperties: true
    ErrorResponse:
      type: object
      required:
        - error
        - meta
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            details: {}
          additionalProperties: true
        meta:
          $ref: '#/components/schemas/ResponseMeta'
      additionalProperties: false
    SavedToolResult:
      type: object
      required:
        - id
        - url
      properties:
        id:
          type: string
          format: uuid
        url:
          type: string
          format: uri
      additionalProperties: false
  responses:
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: UNAUTHORIZED
              message: Unauthorized
              details: A valid API key is required
            meta:
              timestamp: '2026-06-28T12:00:00.000Z'
    PlanFeatureRequired:
      description: >-
        The authenticated account does not have a paid API subscription with
        tools access
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: PLAN_FEATURE_REQUIRED
              message: Plan feature required
              details: >-
                Tools require a paid API subscription with the tools feature
                enabled
            meta:
              timestamp: '2026-06-28T12:00:00.000Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````